ig.module(
	'game.entities.goal'
)
.requires(
	'impact.entity'
)
.defines(function(){
  EntityGoal = ig.Entity.extend({
    looseSound: new ig.Sound('media/sounds/loose.ogg'),
    height: 90,
    size: {x:48, y:48},
    checkAgainst: ig.Entity.TYPE.B,

    _wmScalable: true,
    _wmDrawBox: true,
    _wmBoxColor: '#00ff00',

    check: function(other) {
      if (other.name == 'ball') {
        console.log(this.owner);
        if (this.owner == 'player') ig.global.lifes -= 1;
        if (this.owner == 'enemy') ig.global.score += 2000;
        other.reset();
        this.looseSound.play();
      }
    }
  });
});

